Package: org.grails.web.json.parser

## [Java] Class JSONParser

- org.grails.web.json.parser.JSONParser

- All Implemented Interfaces and Traits:
    JsonParserConstants

      @java.lang.SuppressWarnings("all")
      public final class JSONParser
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `Token` | `jj_nt` | Next token.
    `Token` | `token` | Current token.
    `JsonParserTokenManager` | `token_source` | Generated Token Manager.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JSONParser (java.io.InputStream stream)` Constructor with InputStream.
    `JSONParser (java.io.InputStream stream, java.lang.String encoding)` Constructor with InputStream and supplied encoding
    `JSONParser (java.io.Reader stream)` Constructor.
    `JSONParser (JsonParserTokenManager tm)` Constructor with generated Token Manager.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `ReInit(java.io.InputStream stream)` Reinitialise.
    `` | `void` | `ReInit(java.io.InputStream stream, java.lang.String encoding)` Reinitialise.
    `` | `void` | `ReInit(java.io.Reader stream)` Reinitialise.
    `` | `void` | `ReInit(JsonParserTokenManager tm)` Reinitialise.
    `` | `void` | `disable_tracing()` Disable tracing.
    `` | `void` | `enable_tracing()` Enable tracing.
    `` | `ParseException` | `generateParseException()` Generate ParseException.
    `` | `Token` | `getNextToken()` Get the next Token.
    `` | `Token` | `getToken(int index)` Get the specific Token.
    `` | `java.lang.Object` | `parse()`
    `` | `JSONElement` | `parseJSON()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public Token jj_nt

      Next token.

    - #### public Token token

      Current token.

    - #### public JsonParserTokenManager token_source

      Generated Token Manager.

  - ### Constructor Detail

    - #### public JSONParser(java.io.InputStream stream)

      Constructor with InputStream.

    - #### public JSONParser(java.io.InputStream stream, java.lang.String encoding)

      Constructor with InputStream and supplied encoding

    - #### public JSONParser(java.io.Reader stream)

      Constructor.

    - #### public JSONParser(JsonParserTokenManager tm)

      Constructor with generated Token Manager.

  - ### Method Detail

    - #### public void ReInit(java.io.InputStream stream)

      Reinitialise.

    - #### public void ReInit(java.io.InputStream stream, java.lang.String encoding)

      Reinitialise.

    - #### public void ReInit(java.io.Reader stream)

      Reinitialise.

    - #### public void ReInit(JsonParserTokenManager tm)

      Reinitialise.

    - #### public final void disable_tracing()

      Disable tracing.

    - #### public final void enable_tracing()

      Enable tracing.

    - #### public ParseException generateParseException()

      Generate ParseException.

    - #### public final Token getNextToken()

      Get the next Token.

    - #### public final Token getToken(int index)

      Get the specific Token.

    - #### public final java.lang.Object parse()

    - #### public final JSONElement parseJSON()